nxt

## Class PhasingPoll

- java.lang.Object
- - nxt.PhasingPoll

-     public final class PhasingPoll
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PhasingPoll.PhasingPollResult`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.util.Set<HashFunction>` | `acceptedHashFunctions`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `countVotes()`
    `long` | `getAccountId()`
    `static int` | `getAccountPhasedTransactionCount(long accountId)`
    `static DbIterator<nxt.TransactionImpl>` | `getAccountPhasedTransactions(long accountId, int from, int to)`
    `byte` | `getAlgorithm()`
    `static DbIterator<PhasingPoll.PhasingPollResult>` | `getApproved(int height)`
    `int` | `getFinishHeight()`
    `byte[]` | `getFullHash()`
    `byte[]` | `getHashedSecret()`
    `static HashFunction` | `getHashFunction(byte code)`
    `static DbIterator<nxt.TransactionImpl>` | `getHoldingPhasedTransactions(long holdingId, VoteWeighting.VotingModel votingModel, long accountId, boolean withoutWhitelist, int from, int to)`
    `long` | `getId()`
    `java.util.List<byte[]>` | `getLinkedFullHashes()`
    `static java.util.List<? extends Transaction>` | `getLinkedPhasedTransactions(byte[] linkedTransactionFullHash)`
    `static PhasingPoll` | `getPoll(long id)`
    `long` | `getQuorum()`
    `static PhasingPoll.PhasingPollResult` | `getResult(long id)`
    `static DbIterator<nxt.TransactionImpl>` | `getVoterPhasedTransactions(long voterId, int from, int to)`
    `VoteWeighting` | `getVoteWeighting()`
    `long[]` | `getWhitelist()`
    `boolean` | `verifySecret(byte[] revealedSecret)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### acceptedHashFunctions

          public static final java.util.Set<HashFunction> acceptedHashFunctions

  - ### Method Detail

    - #### getHashFunction

          public static HashFunction getHashFunction(byte code)

    - #### getResult

          public static PhasingPoll.PhasingPollResult getResult(long id)

    - #### getApproved

          public static DbIterator<PhasingPoll.PhasingPollResult> getApproved(int height)

    - #### getPoll

          public static PhasingPoll getPoll(long id)

    - #### getVoterPhasedTransactions

          public static DbIterator<nxt.TransactionImpl> getVoterPhasedTransactions(long voterId,
                                                                                   int from,
                                                                                   int to)

    - #### getHoldingPhasedTransactions

          public static DbIterator<nxt.TransactionImpl> getHoldingPhasedTransactions(long holdingId,
                                                                                     VoteWeighting.VotingModel votingModel,
                                                                                     long accountId,
                                                                                     boolean withoutWhitelist,
                                                                                     int from,
                                                                                     int to)

    - #### getAccountPhasedTransactions

          public static DbIterator<nxt.TransactionImpl> getAccountPhasedTransactions(long accountId,
                                                                                     int from,
                                                                                     int to)

    - #### getAccountPhasedTransactionCount

          public static int getAccountPhasedTransactionCount(long accountId)

    - #### getLinkedPhasedTransactions

          public static java.util.List<? extends Transaction> getLinkedPhasedTransactions(byte[] linkedTransactionFullHash)

    - #### getWhitelist

          public long[] getWhitelist()

    - #### getQuorum

          public long getQuorum()

    - #### getFullHash

          public byte[] getFullHash()

    - #### getLinkedFullHashes

          public java.util.List<byte[]> getLinkedFullHashes()

    - #### getHashedSecret

          public byte[] getHashedSecret()

    - #### getAlgorithm

          public byte getAlgorithm()

    - #### verifySecret

          public boolean verifySecret(byte[] revealedSecret)

    - #### countVotes

          public long countVotes()

    - #### getId

          public final long getId()

    - #### getAccountId

          public final long getAccountId()

    - #### getFinishHeight

          public final int getFinishHeight()

    - #### getVoteWeighting

          public final VoteWeighting getVoteWeighting()